KDE 4.9 PyKDE API Reference

- KDE's Python API

# Literal Class Reference

`from PyKDE4.nepomuk import *`

Namespace: Nepomuk.Types

## Detailed Description

\class Literal literal.h Nepomuk/Types/Literal

Defines a literal type based on XML Schema.

Each valid Literal represents the literal type as XML Schema URI and as QVariant type.

Author:
  Sebastian Trueg <trueg@kde.org>

## Methods

| __init__ (self)
| __init__ (self, Nepomuk.Types.Literal a0)
| __init__ (self, QUrl dataTypeUri)
QVariant::Type | dataType (self)
QUrl | dataTypeUri (self)
bool | isValid (self)

## Method Documentation

__init__ | ( |  | self ) |

Default constructor. Creates an empty Literal

__init__ | ( | self, |
|  | Nepomuk.Types.Literal | a0
| ) |  |  |

Default constructor. Creates an empty Literal

__init__ | ( | self, |
|  | QUrl | dataTypeUri
| ) |  |  |

QVariant::Type dataType | ( |  | self ) |

The type converted to a QVariant.Type.

Returns:
  The QVariant.Type that corresponds to the XML Schema type or QVariant.Invalid if it could not be matched.

QUrl dataTypeUri | ( |  | self ) |

The XML Schema type URI.

bool isValid | ( |  | self ) |

Is this a valid Literal, i.e. has it a valid URI.